<div *ngIf="inputForm" [formGroup]="inputForm" class="select-container">
  <label>
    {{ label }}
    <span *ngIf="!required && !filter" class="chosen">(اختیاری)</span>
  </label>
  <h5 *ngIf="mode === 'view'; else modeForm">
   {{title}}
  </h5>

  <ng-template #modeForm>
    <div class="box-container">
      <ng-select
        bindValue="value"
        [items]="items | async"
        [hideSelected]="true"
        [trackByFn]="trackByFn"
        [minTermLength]="2"
        [loading]="isLoading"
        [typeahead]="itemInput"
        [placeholder]="placeholder"
        (change)="onChange($event)"
        [formControlName]="inputName"
        class="select-container__select"
        typeToSearchText="حداقل دو کاراکتر وارد نمایید"

      >
        <ng-template ng-notfound-tmp>
          <div class="ng-option disabled">موردی یافت نشد</div>
        </ng-template>
      </ng-select>
      <span class="cityName" *ngIf="showTitle">{{title}}</span>

      <mat-error
      *ngIf="
        inputForm.controls[inputName].touched &&
        inputForm.controls[inputName]['errorMessage']
      "
      class="input-container__error"
    >
      <svg
        aria-hidden="true"
        class="stUf5b qpSchb"
        fill="currentColor"
        focusable="false"
        width="16px"
        height="16px"
        viewBox="0 0 24 24"
        xmlns="https://www.w3.org/2000/svg"
      >
        <path
          d="M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm1 15h-2v-2h2v2zm0-4h-2V7h2v6z"
        ></path>
      </svg>
      <span class="geterror">{{ getErrors() }}</span>
    </mat-error>
    </div>
  </ng-template>
</div>
